%define module_name Alien-DjVuLibre
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Decode/SourceForge.pm) perl(Alien/Build/Plugin/Gather/IsolateDynamic.pm) perl(Archive/Tar.pm) perl(Config.pm) perl(ExtUtils/CppGuess.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(IO/Zlib.pm) perl(Mojo/DOM58.pm) perl(Net/SSLeay.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(Test/Alien/Diag.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(URI.pm) perl(URI/Escape.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(ddjvuapi)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt2
Summary: Find or download and install DjVuLibre
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz

%description
Some packages insist on using DjVuLibre library.

This package detect system DjvuLibre library or install own.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.04-alt2
- rebuild with perl 5.38

* Thu May 12 2022 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- updated by package builder

* Mon May 09 2022 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- updated by package builder

* Thu May 05 2022 Igor Vlasenko <viy@altlinux.org> 0.01-alt1
- initial import by package builder

